import * as d from "react";
import { Item as p } from "../Item.mjs";
function g(t, r, n, a, o, f, u) {
  var c = u.getKey;
  return t.slice(r, n + 1).map(function(e, i) {
    var l = r + i, s = f(e, l, {
      style: {
        width: a
      }
    }), m = c(e);
    return /* @__PURE__ */ d.createElement(p, {
      key: m,
      setRef: function(y) {
        return o(e, y);
      }
    }, s);
  });
}
export {
  g as default
};
